#!/bin/sh
#Interfaz Xdialog para gestionar palinsesto.cfg y releerlo, desde el servidor.
#Utiliza somax-editor para editar el palisnesto en modo grafico, y nedit para hacerlo
# en modo texto.
#
#Este script est licenciado bajo la [1] GNU General Public License (GPL) y por tanto
# se permite su copia, distribucin y/o modificacin mientras se mantenga su licencia y
# se cite que est realizado por [2] Garraxi Irratia. Contacto: [3] Martintxo
#
#[1] http://www.gnu.org/copyleft/gpl.html
#[2] http://sindominio.net/garraxi/
#[3] martintxo@sindominio.net

#Para comprobar que es garraxi2 el que ejecuta el script (si no es exit, si es continua...):
QUIENSOY=`whoami`;
if [ "$QUIENSOY" != "garraxi2" ];then
Xdialog --wmclass "soma" --title "Usuario no autorizado" --icon /usr/local/share/pixmaps/warning.xpm \
        --msgbox "Me parece que tu no eres el Administrador de la Emisin.\nAbortando..." 0 0;
exit;
fi

#Mensaje informativo inicial:
GUI=`Xdialog --wmclass "soma" --title "Gestionar parrilla" --stdout \
  --check "Utilizar un editor de textos para editar el palinsesto? (solo expert@s)." "off" \
  --msgbox "Este es el \"ayudante\" para gestionar la parrilla :-P.\nA continuacin aparecer el programa somax-editor desde el que puedes editarla\n(o un editor de textos para hacerlo a mano, si seleccionas el botn de abajo).\nCuando acabes, acuerdate de darle al botn de Guardar, y despus cierra el programa.\nEntonces aparecer otra ventana indicandote si quieres hacer que Somad relea la parrilla.\nSigue sus indicaciones :-D." 0 0 `

#Para que salga sin hacer nada si se pincha el boton "cerrar programa" de Icewm:
STATUSRET=$?
if [ $STATUSRET -eq 255 ];then
	exit;
fi

for i in $GUI ; do
       case $i in
 	  checked)
	   nedit /etc/somad/palinsesto.cfg
           ;;
	 unchecked)
	   somax-editor -pl /etc/somad/palinsesto.cfg
	   ;;
       esac
done

chmod 644 /etc/somad/palinsesto.cfg

#GUI con la pregunta de si releer palinsesto.cfg o no:
Xdialog --wmclass "soma" --title "Gestionar parrilla" --default-no \
        --backtitle "Hacer que SomaD relea su palinsesto?." \
       --yesno "Es necesario hacerlo siempre que se haya modificado algo en palinsesto.cfg,\nsi no Somad no se entera de los cambios y sigue como antes de hacerlos." 0 0

#Si respuesta SI: relee palinsesto, si NO, sale sin hacer nada:
case $? in
  0)
    somaclient -p -ssl --readpalinsesto | \
    Xdialog --wmclass "soma" --title "Gestionar parrilla" --no-cancel \
       --backtitle "Mensajes que devuelve SomaD:\nSi sale 1 vez 'Done' es que ha sido un xito.\nComprueba tambin que todo va bien en la ventana de Somad del Servidor.\nIncluso espera a que acabe la cancin y empiece otra para ver que no se para." --tailbox "-" 14 70;;
  1)
    exit;;
esac
